org.jbpm.persistence.jpa.hibernate

## Class DisabledFollowOnLockOracle10gDialect

- java.lang.Object
- - org.hibernate.dialect.Dialect
  - - org.hibernate.dialect.Oracle8iDialect
    - - org.hibernate.dialect.Oracle9iDialect
      - - org.hibernate.dialect.Oracle10gDialect
        - - org.jbpm.persistence.jpa.hibernate.DisabledFollowOnLockOracle10gDialect

- All Implemented Interfaces:
    org.hibernate.exception.spi.ConversionContext

      public class DisabledFollowOnLockOracle10gDialect
      extends org.hibernate.dialect.Oracle10gDialect

  Customized Oracle10gDialect to avoid race conditions when using select for update with paging.

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.dialect.Oracle8iDialect

      `DEPRECATED_ORACLE_TYPES_CLASS_NAME, INIT_ORACLETYPES_CURSOR_VALUE, ORACLE_TYPES_CLASS_NAME`

    - ### Fields inherited from class org.hibernate.dialect.Dialect

      `CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STREAM_XFER_LOB_MERGE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisabledFollowOnLockOracle10gDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `useFollowOnLocking()`

    - ### Methods inherited from class org.hibernate.dialect.Oracle10gDialect

      `createOuterJoinFragment`

    - ### Methods inherited from class org.hibernate.dialect.Oracle9iDialect

      `createCaseFragment, getCurrentTimestampSelectString, getCurrentTimestampSQLFunctionName, getForUpdateString, getLimitString, getReadLockString, getSelectClauseNullString, getWriteLockString, registerCharacterTypeMappings, registerDateTimeTypeMappings, supportsRowValueConstructorSyntaxInInList, supportsTupleDistinctCounts`

    - ### Methods inherited from class org.hibernate.dialect.Oracle8iDialect

      `bindLimitParametersInReverseOrder, buildSQLExceptionConversionDelegate, dropConstraints, dropTemporaryTableAfterUse, extractOracleCursorTypeValue, forceLobAsLastValue, forUpdateOfColumns, generateTemporaryTableName, getAddColumnString, getBasicSelectClauseNullString, getCascadeConstraintsString, getCreateSequenceString, getCreateTemporaryTablePostfix, getCreateTemporaryTableString, getCrossJoinSeparator, getDropSequenceString, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getInExpressionCountLimit, getNotExpression, getOracleCursorTypeSqlType, getQuerySequencesString, getResultSet, getSelectGUIDString, getSelectSequenceNextValString, getSequenceNextValString, getSqlTypeDescriptorOverride, getViolatedConstraintNameExtracter, isCurrentTimestampSelectStringCallable, registerDefaultProperties, registerFunctions, registerLargeObjectTypeMappings, registerNumericTypeMappings, registerResultSetOutParameter, registerReverseHibernateTypeMappings, supportsCommentOn, supportsCurrentTimestampSelection, supportsEmptyInList, supportsExistsInSelect, supportsLimit, supportsPooledSequences, supportsSequences, supportsTemporaryTables, supportsUnionAll, useMaxForLimit`

    - ### Methods inherited from class org.hibernate.dialect.Dialect

      `appendIdentitySelectToInsert, appendLockHint, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersFirst, buildLimitHandler, buildSQLExceptionConverter, cast, cast, cast, closeQuote, contributeTypes, convertToFirstRowValue, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, forceLimitUsage, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getDropTableString, getDropTemporaryTableString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getIdentitySelectString, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getNullColumnString, getTableComment, getTableTypeString, getTypeName, getTypeName, getUniqueDelegate, hasAlterTable, hasDataTypeInIdentityColumn, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, remapSqlTypeDescriptor, renderOrderByElement, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, requiresParensForTupleDistinctCounts, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsExpectedLobUsagePattern, supportsIdentityColumns, supportsIfExistsAfterTableName, supportsIfExistsBeforeTableName, supportsInsertSelectIdentity, supportsLimitOffset, supportsLobValueChangePropogation, supportsLockTimeouts, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTuplesInSubqueries, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useInputStreamToInsertBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DisabledFollowOnLockOracle10gDialect

          public DisabledFollowOnLockOracle10gDialect()

  - ### Method Detail

    - #### useFollowOnLocking

          public boolean useFollowOnLocking()

      Overrides:
        `useFollowOnLocking` in class `org.hibernate.dialect.Oracle8iDialect`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.